Package: groovy.lang

## [Java] Annotation Type Groovydoc

- groovy.lang.Groovydoc

-     @Documented
      @Target({ElementType.TYPE, ElementType.ANNOTATION_TYPE, ElementType.FIELD, ElementType.METHOD, ElementType.CONSTRUCTOR})
      @Retention(RetentionPolicy.RUNTIME)
      public @interface Groovydoc

  An annotation to hold the groovydoc for the annotated element at runtime, we call it "Runtime Groovydoc". Runtime Groovydoc is a bit like Python's Documentation Strings and will be useful for IDE and developers who set a high value on documentations. The usage is very simple, just place @ at the beginning of the content of groovydoc, i.e. starts with /**@, then the new parser Parrot will attach the annotation Groovydoc automatically

  Since:
    3.0.0

- - ### Element Summary

    Required Element Summary
    Type | Name and Description
    --- | ---
    `String` | `value`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public String value